#===========================================================================
#      _    _          __  _   
#     | |  | |        / _|| |        Wafl Project
#     | |  | |  __ _ | |_ | |        -----------------------------
#     | |/\| | / _` ||  _|| |        Wafl implementation and tools
#     \  /\  /| (_| || |  | |            
#      \/  \/  \__,_||_|   \_\       Copyright (C) 1997-2023, Saša Malkov
#                                  
#===========================================================================
# AddWindowsResources.cmake
#===========================================================================

#----------------------------------------------
# Add resource files to project, 
# if the platform is Windows
#----------------------------------------------
# USAGE:
#	addWindowsResources TARGET [RC_FILE_FILTER]
# Default RC_FILE_FILTER = "*.rc"
#----------------------------------------------
function( addWindowsResources target )
	if(${WAFL_BUILD_TARGET_WINDOWS})
		list(APPEND rcfiles)
		if( ${ARGV2} )
			file( GLOB rcfiles ${ARGV2} )
		else()
			file( GLOB rcfiles "*.rc" )
		endif()
		target_sources( ${target} PRIVATE ${rcfiles} )
	endif()
endfunction( addWindowsResources )

#----------------------------------------------
